4 2 L L L L
4 3 R L L R
10 4 R R L R L L R R L R
30 5 L L L L L L L L L L L L L L L L L L L L L L L L L L L L L L
30 15 L L L L L L L L L L L L L L L L L L L L L L L L L L L L L L
30 6 L L L L L L L L L L L L L L L L L L L L L L L L L L L L L L
30 7 L L L L L L L L L L L L L L L L L L L L L L L L L L L L L L
30 8 L L L L L L L L L L L L L L L L L L L L L L L L L L L L L L
30 9 L L L L L L L L L L L L L L L L L L L L L L L L L L L L L L
30 2 L L L L L L L L L L L L L L L L L L L L L L L L L L L L L L
30 3 L L L L L L L L L L L L L L L L L L L L L L L L L L L L L L
30 4 L L L L L L L L L L L L L L L L L L L L L L L L L L L L L L
30 20 L L L L L L L L L L L L L L L L L L L L L L L L L L L L L L
30 25 L L L L L L L L L L L L L L L L L L L L L L L L L L L L L L
20 16 L R R L R R R L L R R L R R L R L L R L
13 2 L R R L R R R R L R R R R
5 4 R L L R L
4 4 R L L L
4 2 L L R L
30 17 L L L L L R L R R R L R R L L L L L L L R L R R R L L L L L
30 30 L L R L L L R R R L R R R R R L L R R R R L R R R R L R L R
0
